/*
	SCREEN.H

	External declarations for PCCON.C and ZCON.C screen libraries

	Copyright (c) 1990 Lindley Systems

	4257 Berwick Place
	Woodbridge, VA 22192-5119
	(703) 590-8890
*/

extern void init_keys();
extern void exit_keys();
extern int  gtkey();
extern void wchar (unsigned char c);
extern void wstr(unsigned char *str);
extern void wstr0(unsigned char *str);
extern void color(int color_byte);
extern void box(int y1, int x1, int y2, int x2, int dflag);
extern void put_box_char(int x,int y,unsigned char ch);
extern void clear_eol();
extern void erase (int min_row, int min_col, int max_row, int max_col);
extern void cls ();
extern void setcur(int to_row, int to_col) ;
extern int  getcur();
extern void cursize (int kind);
extern int  getpage();
extern int  video_mode();
extern int  set_rows(int num_rows);
extern void scroll(int top_row,int left_col,int bot_row,int right_col,int nlines);
extern void key_delay(int nhunds);
extern unsigned int rchar(int row, int col);
extern int  system_type();

extern int  color_attribs[4];
extern int  cur_attr;
extern int  rows;
extern int  cols;
